UTF8.Comparator (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io, class: UTF8, class: Comparator

Package org.apache.hadoop.io

# Class UTF8.Comparator

java.lang.Object
org.apache.hadoop.io.WritableComparator
org.apache.hadoop.io.UTF8.Comparator

All Implemented Interfaces:
  `Comparator`, `Configurable`, `RawComparator`

Enclosing class:
  UTF8

public static class UTF8.Comparator extends WritableComparator
A WritableComparator optimized for UTF8 keys.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Comparator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`
  Optimization hook.

  ### Methods inherited from class org.apache.hadoop.io.WritableComparator

  `compare, compare, compareBytes, define, get, get, getConf, getKeyClass, hashBytes, hashBytes, newKey, readDouble, readFloat, readInt, readLong, readUnsignedShort, readVInt, readVLong, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Constructor Details

  - ### Comparator

    public Comparator()

- ## Method Details

  - ### compare

    public int compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)
    Description copied from class: `WritableComparator`
    Optimization hook. Override this to make SequenceFile.Sorter's scream.

    The default implementation reads the data into two `WritableComparable`s (using `Writable.readFields(DataInput)`, then calls `WritableComparator.compare(WritableComparable,WritableComparable)`.

    Specified by:
      `compare` in interface `RawComparator`
    Overrides:
      `compare` in class `WritableComparator`
    Parameters:
      `b1` - The first byte array.
      `s1` - The position index in b1. The object under comparison's starting index.
      `l1` - The length of the object in b1.
      `b2` - The second byte array.
      `s2` - The position index in b2. The object under comparison's starting index.
      `l2` - The length of the object under comparison in b2.
    Returns:
      An integer result of the comparison.